<?php

require_once '../../../../wp-load.php';

global $arf_pdfcreator, $wpdb, $arf_templates,$MdlDb;

$id = $_REQUEST['entry_id'];

$requested_template = $_REQUEST['arf_pdf_template'];

$style = file_get_contents(ARF_PDFCREATOR_DIR . '/css/arformspdfcreator.css');

$like_btn_color = '';
$dislike_btn_color = '';

if( isset( $_REQUEST['entry_id'] ) && '' != $_REQUEST['entry_id'] ){
    $entry_id = $_REQUEST['entry_id'];
    $form_id = $wpdb->get_var( $wpdb->prepare( "SELECT form_id FROM `" . $MdlDb->entries . "` WHERE id = %d", $entry_id ) );
    if( '' != $form_id ){
        $has_like_field = $wpdb->get_var( $wpdb->prepare( "SELECT count(*) FROM `" . $MdlDb->fields . "` WHERE type = %s AND form_id = %d", 'like', $form_id) );
        if( $has_like_field > 0 ){
            $frm_css = $wpdb->get_var( $wpdb->prepare ( "SELECT form_css FROm `" . $MdlDb->forms . "` WHERE id = %d", $form_id) );
            $form_css = maybe_unserialize( $frm_css );
            
            $like_btn_color = $form_css['arflikebtncolor'];
            $dislike_btn_color = $form_css['arfdislikebtncolor'];
        }
    }
}
if( '' != $like_btn_color && '' != $dislike_btn_color ){            
    global $arformspdfcreator_version;
    
    $runtime_css  = '.arf_like_color_custom{margin-left:0;background:'.$like_btn_color.';display:inline-block;padding:10px;border-radius:20px;}.imgmargin{padding:6px;}';
    $runtime_css .= '.arf_dislike_color_custom{margin-left:0;background:'.$dislike_btn_color.';display:inline-block;padding:10px;border-radius:20px;}.imgmargin{padding:6px;}';
    $style .= $runtime_css;
}

$arf_pdfcreator->WriteHTML($style, 1);
$arf_pdfcreator->autoLangToFont = true;

$form = $wpdb->get_results($wpdb->prepare('SELECT form_id,created_date FROM ' . $MdlDb->entries . ' WHERE id = %d', $id));

$form_id = $form[0]->form_id;

$form_name = $wpdb->get_row($wpdb->prepare('SELECT options,name FROM ' . $MdlDb->forms . ' WHERE id = %d', $form_id));

$form_options = maybe_unserialize($form_name->options);

$str    = $form_options['arf_pdfcreator_template_name'];
$string = '';

$pattern = '/\[(.*?)\:(\d+)(|\.(\d+))\]/';

preg_match_all($pattern, $str, $matched);

if (isset($matched[0]) && $matched[0] != '' ) {
    foreach ( $matched[0] as $vi ) {
        $exp    = explode(':', $vi);
        $tmp_id = str_replace(']', '', $exp[1]);
        $fields = $wpdb->get_row($wpdb->prepare('SELECT * FROM ' . $MdlDb->entry_metas . ' WHERE entry_id=%d AND field_id=%d', $id, $tmp_id));
        if (is_serialized($fields->entry_value) ) {
            $field_value = maybe_unserialize($fields->entry_value);
            $field_value = implode('_', $field_value);
            $str         = str_replace($vi, $field_value, $str);
        } else {
            $str = str_replace($vi, $fields->entry_value, $str);
        }
    }
}
$pattern2 = '/\{(.*?)\}/';
preg_match_all($pattern2, $str, $matched);

if (isset($matched[0]) && $matched[0] != '' ) {
    foreach ( $matched[0] as $vi ) {
        $tmp_val = str_replace('{', '', $vi);
        $tmp_val = str_replace('}', '', $tmp_val);
        $row     = $wpdb->get_row($wpdb->prepare('SELECT * FROM ' . $MdlDb->entries . ' WHERE id=%d', $id));
        if (! empty($row) ) {
            if ($tmp_val == 'date' ) {
                $date = date('Y-m-d', strtotime($row->created_date));
                $str  = str_replace($vi, $date, $str);
            }
            if ($tmp_val == 'time' ) {
                $time = date('h_i_s', strtotime($row->created_date));
                $str  = str_replace($vi, $time, $str);
            }
            if ($tmp_val == 'entry_id' ) {
                $str = str_replace($vi, $row->id, $str);
            }
        }
    }
}

$template_name = $str;
$form_name     = stripslashes_deep(strip_tags($form_name->name));

$arf_pdfcreator->SetTitle($form_name);

$arf_pdfcreator->autoLangToFont = true;

$arftemplatename = $requested_template;

$htmlcontent = $arf_templates->arf_get_template_html($arftemplatename, $arf_pdfcreator, $form_id, $id);

$arf_pdfcreator->WriteHTML($htmlcontent);

$pdffilename = $template_name . '.pdf';

$arf_pdfcreator->Output($pdffilename, 'I');


