<?php

class pdf_context
{



    var $file;

    var $buffer;

    var $offset;

    var $length;



    var $stack;





    function __construct($f)
    {

        $this->file = $f;

        $this->reset();

    }



    



    function reset($pos = null, $l = 100)
    {

        if (!is_null($pos)) {

            fseek($this->file, $pos);

        }



        $this->buffer = $l > 0 ? fread($this->file, $l) : '';

        $this->offset = 0;

        $this->length = strlen($this->buffer);

        $this->stack = array();

    }



    


    function ensure_content()
    {

        if ($this->offset >= $this->length - 1) {

            return $this->increase_length();

        } else {

            return true;

        }

    }





    function increase_length($l=100)
    {

        if (feof($this->file)) {

            return false;

        } else {

            $this->buffer .= fread($this->file, $l);

            $this->length = strlen($this->buffer);

            return true;

        }

    }



}

?>
